CREATEMAP(8)

NAME
createmap - create database maps for sendmail X

SYNOPSIS
createmap [-E] [-F file] [-f] [-n name] [-s] [-t delim] [-V] [-w]

DESCRIPTION
createmap creates the database maps used by the keyed map lookups in sendmailx(8). It reads input from the standard input and outputs them to the indicated mapname.

  Flags

-E  Allow an empty key (not useful for sendmail X).

-F  Use the specified file instead of aliases.db.

-f  Normally all upper case letters in the key are folded to lower case. This flag disables that behaviour.

-n  Use the specified name for the map instead of aliases.

-s  Do not ignore empty lines and lines beginning with '#'.

-t  Use the specified delimiter instead of colon.

-V  Increase verbosity (can be specified multiple times).

-w  Use whitespace (space, horizontal tab) as delimiter.

EXAMPLES
To create the aliases map, use

createmap < aliases

To create the access map, use

createmap -t'	' -F access.db < access

or simply use the Makefile generated during the sendmail X installation.

SEE ALSO
runas(8), sendmailx(8), smar(8).

CAVEATS
This program actually allows you to run it as root, however, this should be avoided if possible. Use runas to run as the owner of the map file instead.